# NOTE: Windows screencast requires installing the
# x86 edition of the UScreenCapture DirectShow filter from
# http://www.umediaserver.net/umediaserver/download.html

import sys, os, jumpy

if len(sys.argv) == 1:
	pms.addAction('/Screencast', [sys.argv[0], 'play'], '#monitor')

elif sys.argv[1] == 'play':
	
	if sys.platform.startswith('win32'):
		cmd = 'ffmpeg -y -f dshow -r 30 -s 1920x1080 -threads 0 -i video="UScreenCapture" -c:v mpeg2video -f mpegts -q:v 3 -threads 0 %s' % os.environ['OUTFILE']
	
	elif sys.platform.startswith('linux'):
		cmd = 'ffmpeg -y -f x11grab -r 30 -s 1920x1080 -threads 0 -i :0.0 -c:v mpeg2video -f mpegts -q:v 3 -threads 0 %s' % os.environ['OUTFILE']
	
	else: # mac
		pms.warn('\nSorry\n\nFFmpeg doesn\'t\nsupport screen capture\nin %s' % sys.platform)
		sys.exit(0)
	
	os.system(cmd)

# http://ffmpeg.org/ffmpeg-devices.html
# http://trac.ffmpeg.org/wiki/StreamingGuide
# http://trac.ffmpeg.org/wiki/DirectShow
# http://ffmpeg.org/trac/ffmpeg/wiki/How%20to%20grab%20the%20desktop%20%28screen%29%20with%20FFmpeg
